package cn.kdan.cloud.pdf.office.account.enums;

public enum SourceProduct {
    PDF_READER_PRO_MAC("1", "mac"),
    PDF_READER_PRO_WINDOWS("2", "windows"),
    PDF_READER_PRO_ANDROID("3", "android"),
    PDF_READER_PRO_IOS("4", "ios"),
    PDF_READER_PRO_WEB("5", "官网");

    private final String id;
    private final String name;

    SourceProduct(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public static String getIdByName(String name) {
        for (SourceProduct product : values()) {
            if (product.name.toLowerCase().contains(name.toLowerCase())) {
                return product.getId();
            }
        }
        return null; // 或者抛出异常
    }
}
