package cn.kdan.cloud.pdf.office.account.service.impl;

import cn.kdan.cloud.pdf.office.account.mapper.ext.ExtUserSubscriptionInfoMapper;
import cn.kdan.cloud.pdf.office.account.model.UserSubscriptionInfo;
import cn.kdan.cloud.pdf.office.account.model.UserSubscriptionInfoExample;
import cn.kdan.cloud.pdf.office.account.service.UserSubscriptionInfoService;
import cn.kdan.cloud.pdf.office.common.vo.UserSubscriptionInfoVO;
import com.alibaba.nacos.common.utils.CollectionUtils;
import com.alibaba.nacos.common.utils.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangxiangan
 */
@Service
public class UserSubscriptionInfoServiceImpl implements UserSubscriptionInfoService {

    @Resource
    private ExtUserSubscriptionInfoMapper extUserSubscriptionInfoMapper;


    @Override
    public List<UserSubscriptionInfo> listByUserId(String userId) {
        UserSubscriptionInfoExample example = new UserSubscriptionInfoExample();
        example.createCriteria().andUserIdEqualTo(userId);
        return extUserSubscriptionInfoMapper.selectByExample(example);
    }

    @Override
    public UserSubscriptionInfo getByUserIdAndPlatform(String userId, Integer platform, String appId) {
        UserSubscriptionInfoExample example = new UserSubscriptionInfoExample();
        UserSubscriptionInfoExample.Criteria criteria =  example.createCriteria().andUserIdEqualTo(userId).andPlatformEqualTo(platform);
        if(StringUtils.isNotEmpty(appId)){
            criteria.andAppIdEqualTo(appId);
        }
        List<UserSubscriptionInfo> list = extUserSubscriptionInfoMapper.selectByExample(example);
        return CollectionUtils.isNotEmpty(list) ? list.get(0): null;
    }

    @Override
    public void insert(UserSubscriptionInfo userSubscriptionInfo) {
        extUserSubscriptionInfoMapper.insert(userSubscriptionInfo);
    }

    @Override
    public void update(UserSubscriptionInfo userSubscriptionInfo) {
        extUserSubscriptionInfoMapper.updateByPrimaryKeySelective(userSubscriptionInfo);
    }

    @Override
    public UserSubscriptionInfo getByUserIdAndProductId(String userId, String productId) {
        UserSubscriptionInfoExample example = new UserSubscriptionInfoExample();
        example.createCriteria().andUserIdEqualTo(userId).andProductIdEqualTo(productId);
        List<UserSubscriptionInfo> list = extUserSubscriptionInfoMapper.selectByExample(example);
        return CollectionUtils.isNotEmpty(list) ? list.get(0): null;
    }

    @Override
    public List<UserSubscriptionInfoVO> getByUserIdAndAppId(String userId, String appId) {
        return extUserSubscriptionInfoMapper.getInfo(userId,appId);
    }

}
