package cn.kdan.cloud.pdf.office.api.email.feign;

import cn.kdan.cloud.pdf.office.api.email.bo.EmailSendBO;
import cn.kdan.cloud.pdf.office.api.email.feign.hystrix.EmailHystrix;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@Component
@FeignClient(value = CommonConstant.EMAIL_PROVIDER_NAME + "/mail" , fallback = EmailHystrix.class)
public interface EmailApi {

    @PostMapping("send")
    ResultMap<Void> sendEmail(@RequestBody EmailSendBO emailSendBO);

}
