package cn.kdan.cloud.pdf.office.api.payment.appstore;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @author ComPDFKit-WPH 2023/6/28
 */
@Data
@ToString
public class InApp {
    /**
     * :数量，表示用户购买或订阅的数量。这里为1，表示购买数量为1。
     */
    private String quantity;
    /**
     * :产品ID，表示用户购买或订阅的产品标识符。
     */
    @JsonProperty("product_id")
    private String productId;
    /**
     *  交易ID，表示购买或订阅的交易标识。
     */
    @JsonProperty("transaction_id")
    private String transactionId;
    /**
     * :初始交易ID，表示首次购买的交易标识
     */
    @JsonProperty("original_transaction_id")
    private String originalTransactionId;
    /**
     * :购买日期，表示用户购买或订阅的日期和时间。时间以GMT 格林尼治标
     * 准时间表示。
     */
    @JsonProperty("purchase_date")
    private String purchaseDate;
    /**
     * :购买日期的毫秒表示，以UNIX 时间戳格式表示。
     */
    @JsonProperty("purchase_date_ms")
    private String purchaseDateMs;

    /**
     *
     */
    @JsonProperty("purchase_date_pst")
    private String purchaseDatePst;
    /**
     * 初始购买日期，表示用户首次购买该订阅的日期和时间。时间以
     * GMT 格林尼治标准时间表示
     */
    @JsonProperty("original_purchase_date")
    private String originalPurchaseDate;
    /**
     * 初始购买日期的毫秒表示，以UNIX时间戳格式表示
     */
    @JsonProperty("original_purchase_date_ms")
    private String originalPurchaseDateMs;
    /**
     * 初始购买日期，以美国洛杉矶时区时间表示。
     */
    @JsonProperty("original_purchase_date_pst")
    private String originalPurchaseDatePst;
    /**
     * 过期日期，即订阅或购买的有效期结束时间。时间以GMT 格林尼治标准时
     * 间表示。
     */
    @JsonProperty("expires_date")
    private String expiresDate;

    /**
     * 过期日期的毫秒表示，以UNIX 时间截格式表示
     */
    @JsonProperty("expires_date_ms")
    private String expiresDateMs;
    /**
     * 过期日期，以美国洛杉矶时区时间表示
     */
    @JsonProperty("expires_date_pst")
    private String expiresDatePst;
    /**
     * 网络订单行项目ID，表示与该交易相关的网上订单行项目标识
     * 符。
     */
    @JsonProperty("web_order_line_item_id")
    private String webOrderLineItemId;
    /**
     * 是否处于免费试用期，表示用户是否处于免费试用订阅的期间。这里为
     * false，表示不在免费试用期内。
     */
    @JsonProperty("is_trial_period")
    private Boolean isTrialPeriod;
    /**
     * :是否处于试用期，表示用户是否正在享受订阅的试用期。这里为
     * false，表示不在试用期内。
     */
    @JsonProperty("is_in_intro_offer_period")
    private Boolean isInIntroOfferPeriod;
    /**
     * :内购拥有类型，表示用户的购买类型，这里为“PURCHASED"
     * 表示已购买
     */
    @JsonProperty("in_app_ownership_type")
    private String inAppOwnershipType;

    /**
     * 与本次交易相关的。仅当您的应用在用户购买时提供了该属性或提供了 UUID时，此字段才会出现
     */
    @JsonProperty("app_account_token")
    private String appAccountToken;


    /**
     * 退款或撤销交易的原因。值1表示客户由于应用程序内的实际或感知问题而取消了交易。值0表示交易因其他原因被取消；例如，如果客户意外购买。
     * 可能的值：1, 0
     */
    @JsonProperty("cancellation_reason")
    private String cancellationReason;

}
