package cn.kdan.cloud.pdf.office.api.payment.dto;

import cn.kdan.cloud.pdf.office.api.payment.enums.PaymentMethodEnum;
import lombok.*;

import javax.validation.constraints.NotNull;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * 创建订单DTO
 */
@Data
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CreateOrderDTO {
    /**
     * app ID
     */
//    @NotNull(message = "appId 不能为空")
    private String appId;
    /**
     * 产品ID
     */
    @NotNull(message = "产品id 不能为空")
    private String productId;
    /**
     * 支付方式
     */
    @NotNull(message = "paymentMethod 不能为空")
    private PaymentMethodEnum paymentMethod;
    /**
     * 邮箱
     */
    @NotNull(message = "email 不能为空")
    private String email;
    /**
     * userId
     */
    private String userId;
    /**
     * 客户地区
     */
    private String countryCode;

    private String postCode;

    /**
     * 优惠卷
     */
    private String couponCode;

    private Integer isDiscount;

}
