package cn.kdan.cloud.pdf.office.api.payment.paypal;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
public class LastPaymentDetails implements Serializable {
    /**
     * 已捕获的付款的状态。
     */
    private String status;
    /**
     * 最后的付款金额。
     */
    private Money amount;
    /**
     * time
     */
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime time;

}
