package cn.kdan.cloud.pdf.office.api.payment.vo;

import lombok.*;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * CreateOrderResultVO
 */
@Data
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CreateOrderResultVO {

    /**
     * id
     */
    private String id;
    /**
     * app ID
     */
    private String appId;
    /**
     * 订阅ID
     */
    private String subscriptionId;
    /**
     * 订单编号，不知道什么东西
     */
    private String tradeNo;
    /**
     * paypal 支付id
     */
    private String thirdOrderNo;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 支付方式  [paypal = 0, alipay = 1, wxpay = 2, paddle = 3, no need to pay = 4];
     */
    private Integer payment;
    /**
     * 订单状态， [created = 0, approved = 1, completed = 2, closed = 3]
     */
    private Integer status;
    /**
     * 结果
     */
    private String result;
    /**
     * 支付链接
     */
    private String pagePayUrl;
    /**
     * 发票编号 时间戳
     */
    private String invoiceNo;
    /**
     * 第三方订单id
     */
    private String thirdTradeNo;
    /**
     * 产品/计划id
     */
    private String productId;
    /**
     * 折扣
     */
    private BigDecimal discount;
    /**
     * 减免的金额
     */
    private BigDecimal reducedPrice;
    /**
     * 是否是Vpp[No=1, Yes = 2];
     */
    private Integer isVpp;
    /**
     * [website_purchase=1, background_creation = 2];
     */
    private Integer type;
    /**
     * [trial = 1, formal = 2]
     */
    private Integer detailType;

    private String userId;

    private String uuid;
}
