package cn.kdan.cloud.pdf.office.common.constant;

public interface CommonConstant {
    String PDF_READER_PRO_APP_ID = "1";

    // 字符串分割符
    String STRING_SIGN_COMMA = ",";
    String STRING_SIGN_PERIOD = ".";
    String STRING_SIGN_COLON = ":";
    String STRING_SIGN_STAR = "*";
    String STRING_UNDERLINE = "_";
    String STRING_VIRGULE = "/";
    String STRIKE_THROUGH = "-";
    String STRING_VERTICAL = "|";
    String STRING_PERCENT = "%";
    String STRING_WAVE = "~";
    String STRING_ENTER = "\n";
    String STRING_EMPTY = "";

    int SUCCESS = 200; // 200 成功
    String RESULT_SUCCESS = "success"; //  成功

    int ERROR = 400; // 400 失败
    String RESULT_ERROR = "error"; //  失败
    String RESULT_ERROR_SERVICE_NOT_AVAILABLE = "网络错误，请稍后"; //  服务不可用

    String ORDER_BY_IP = "floating_ip";//IP地址排序规则
    String ORDER_BY_NAME = "name";//IP地址排序规则
    String PAGE_INFO = "pageInfo";

    String PARAMS_MISSING_ERROR = "缺少必要参数！";

    /**
     * 参数错误状态
     */
    int EXCEPTION_CODE_PARAMETERS_ERROR = 300;
    String EXCEPTION_MSG_PARAMETERS_ERROR = "没有获取到必须的参数或参数格式错误";
    String EXCEPTION_MSG_PARAMETERS_AT_LEAST_ONE = "请至少设置一个有效的参数";

    /**
     * 服务错误状态
     */
    int EXCEPTION_CODE_SERVER_ERROR = 500;
    String EXCEPTION_MSG_SERVER_ERROR = "服务错误";

    /**
     * 数据库错误状态
     */
    int EXCEPTION_CODE_SERVER_DATA_ACCESS_ERROR = 600;
    String EXCEPTION_MSG_SERVER_DATA_ACCESS_ERROR = "数据库服务错误";

    /**
     * 运行错误状态
     */
    int EXCEPTION_CODE_RUNTIME_ERROR = 700;
    String EXCEPTION_MSG_RUNTIME_ERROR = "运行时错误";

    /**
     * 用户登录错误状态
     */
    int EXCEPTION_CODE_LOGIN_USER_NOT_FOUND = 800;
    String EXCEPTION_MSG_LOGIN_USER_NOT_FOUND = "未找到登录用户信息";

    int EXCEPTION_CODE_CURRENT_USER_NO_PERMISSION = 801;
    String EXCEPTION_MSG_CURRENT_USER_NO_PERMISSION = "当前用户不具备操作权限";

    int EXCEPTION_CODE_UNSUPPORT_PLATFORM_TYPE = 900;
    String EXCEPTION_MSG_UNSUPPORT_PLATFORM_TYPE = "该平台不支持此类型，请检查。";

    int EXCEPTION_CODE_PRIVATE_KEY_DECRYPT = 901;
    String EXCEPTION_MSG_PRIVATE_KEY_DECRYPT = "私钥解密失败";

    int EXCEPTION_CODE_DATA_KEY_DECRYPT = 902;
    String EXCEPTION_MSG_DATA_KEY_DECRYPT = "数据解密失败";

    int EXCEPTION_CODE_DUPLICATED_REQUEST = 903;
    String EXCEPTION_MSG_DUPLICATED_REQUEST = "请不要重复请求";

    int EXCEPTION_CODE_CHARGE_MODULE_NOT_EFFECTIVE = 910;
    String EXCEPTION_MSG_CHARGE_MODULE_NOT_EFFECTIVE = "费用模块未生效";
    /**
     * 字节编码
     */
    String ENCODE_UTF8 = "utf-8";

    /**
     * 分页默认第一页
     */
    int PAGENUM = 1;

    /**
     * 分页默认每页显示10条
     */
    int PAGESIZE = 10;

    /**
     * 分页默认排序规则
     */
    String ORDERBYCLAUSE = "create_time desc";

    String ACCOUNT_PROVIDER_NAME = "pdf-office-account";

    String EMAIL_PROVIDER_NAME = "pdf-office-email";

    String PAYMENT_PROVIDER_NAME = "pdf-office-payment";

    String PRODUCT_PROVIDER_NAME = "pdf-office-product";

    String APP_PROVIDER_NAME = "pdf-office-app";

    String EMAIL_VERIFY_CODE_KEY = "verifyCode_email:";

    public static final String VERIFY_CODE_KEY = "pdf_office_verifyCode_";

    public static final String VERIFY_CODE_TIME_OUT = "pdf_office_verifyCode_timeout_";

    String DEVICE_LOGIN_TOKEN_KEY = "_device_login_token_key";

    String EMAIL_VERIFY_CODE_KEY_ERROR = "email code error!";

    /**
     * 邮箱正则验证
     */
    String emailRegex = "^([a-zA-Z0-9_\\.-]+)@([\\da-z\\.-]+)\\.([a-z\\.]{2,6})$";

    Object TRAIL_PRODUCT_ID = "23";
}
