package cn.kdan.cloud.pdf.office.common.enums;

public enum AIActionEnum {
    EXTRACT_SUMMARY("1", "提取摘要"),
    CORRECTION("2", "纠错"),
    REWRITE("3", "重写"),
    FILE_TRANSLATION("4", "文件翻译"),
    TEXT_TRANSLATION("5", "文本翻译"),
    UPLOAD_TRANSLATION_FILE("6", "上传翻译文件");

    private final String code;
    private final String description;

    AIActionEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static AIActionEnum fromCode(String code) {
        for (AIActionEnum action : AIActionEnum.values()) {
            if (action.code == code) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }

}
