package cn.kdan.cloud.pdf.office.common.enums.account;

/**
 * 用户状态
 * CD502000
 */
public enum PDFOfficeUserStatusEnum {
    //0已注销（1订阅中2订阅过期3试用中4试用过期5注销中）

    LOGGED_OUT(0),
    VALID(1),
    STOP_USE(2),
    LOGGED_OUT_ING(5);

    private final Integer value;

    PDFOfficeUserStatusEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    /**
     * 获取枚举通过 value
     *
     * @param value value
     * @return PDFOfficeUserStatusEnum
     */
    public static PDFOfficeUserStatusEnum getEnumByValue(Integer value) {
        for (PDFOfficeUserStatusEnum pdfOfficeUserStatusEnum : PDFOfficeUserStatusEnum.values()) {
            if (pdfOfficeUserStatusEnum.value.equals(value)) {
                return pdfOfficeUserStatusEnum;
            }
        }
        return PDFOfficeUserStatusEnum.LOGGED_OUT;
    }

}
