package cn.kdan.cloud.pdf.office.payment.enums;

/**
 * @author 订阅的确认状态。 (subscriptionsv2)对象中的 acknowledgementState
 * ACKNOWLEDGEMENT_STATE_UNSPECIFIED	未指定的确认状态。
 * ACKNOWLEDGEMENT_STATE_PENDING	订阅尚未确认。
 * ACKNOWLEDGEMENT_STATE_ACKNOWLEDGED	已确认订阅。
 */
public enum SubscriptionAckStateEnum {

    ACKNOWLEDGEMENT_STATE_UNSPECIFIED("ACKNOWLEDGEMENT_STATE_UNSPECIFIED", "Unspecified acknowledgement state"),
    ACKNOWLEDGEMENT_STATE_PENDING("ACKNOWLEDGEMENT_STATE_PENDING", "The subscription is not acknowledged yet"),
    ACKNOWLEDGEMENT_STATE_ACKNOWLEDGED("ACKNOWLEDGEMENT_STATE_ACKNOWLEDGED", "The subscription is acknowledged");

    public String code;
    public String msg;

    SubscriptionAckStateEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
