package cn.kdan.cloud.pdf.office.website.service.impl;

import cn.kdan.cloud.pdf.office.api.account.feign.UserSubscriptionInfoApi;
import cn.kdan.cloud.pdf.office.api.account.vo.UserSubscriptionInfo;
import cn.kdan.cloud.pdf.office.common.vo.UserSubscriptionInfoVO;
import cn.kdan.cloud.pdf.office.website.client.AIApiClient;
import cn.kdan.cloud.pdf.office.website.dto.ai.*;
import cn.kdan.cloud.pdf.office.website.service.AIService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;


@Service
@Slf4j
@RequiredArgsConstructor
@Transactional
public class AIServiceImpl implements AIService {
    @Resource
    private UserSubscriptionInfoApi userSubscriptionInfoApi;
    private final AIApiClient aiApiClient;
   @Override
   public Object correctTypos(AIParam param) {
       Object res =  aiApiClient.correctTypos(param.getContent());
       return res;
   }

    @Override
    public Object extractFileSummary(AIParam param) {
        return aiApiClient.extractFileSummary(param.getFile());
    }

    @Override
    public Object rewrite(AIParam param) {
        return aiApiClient.rewrite(param.getContent());
    }

    @Override
    public TranslateResult<FileUploadVo> fileUpload(TranslateParam param) {
        ComPdfKitResult<FileUploadVo> res =  aiApiClient.fileUpload(param.getFile(), param.getCalculate());
        return new TranslateResult<FileUploadVo>().convertComPdfKitResult(res);
    }
    @Override
    public TranslateResult<FileTranslateHandleVO> fileTranslateHandle(TranslateParam param) {
        ComPdfKitResult<FileTranslateHandleVO> res =  aiApiClient.fileTranslate(param.getFileKey(), param.getFrom(), param.getTo(), param.getCharCount(), param.getFileId());
        return new TranslateResult<FileTranslateHandleVO>().convertComPdfKitResult(res);
    }

    @Override
    public TranslateResult<TextVO> textTrans(TranslateParam param) {
        ComPdfKitResult<TextVO> res =  aiApiClient.textTranslate(param.getText(), param.getFrom(), param.getTo());
        return new TranslateResult<TextVO>().convertComPdfKitResult(res);
    }


}
