package cn.kdan.cloud.pdf.office.product;

import cn.kdan.cloud.pdf.office.api.account.annotation.EnableAccountApiClient;

import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonFeignExceptionHandle;
import cn.kdan.cloud.pdf.office.common.annotation.EnableControllerExceptionHandler;
import cn.kdan.cloud.pdf.office.common.annotation.EnableMybatisPlusConfig;
import cn.kdan.cloud.pdf.office.product.config.WebDataConvertConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;

/**
 * @author ComPDFKit-WPH 2023/1/12
 */

@SpringBootApplication
@EnableDiscoveryClient
@EnableHystrix
@EnableMybatisPlusConfig
@MapperScan("cn.kdan.cloud.pdf.office.product.mapper")
@EnableControllerExceptionHandler
@EnableAccountApiClient
@EnableCommonFeignExceptionHandle
public class PDFOfficeProductApplication {

    public static void main(String[] args) {
        SpringApplication.run(PDFOfficeProductApplication.class, args);
    }

}
